package _01_作业;

import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
        /**
         * 有一个数组，其中有十个元素从小到大依次排列 {12,14,23,45,66,68,70,77,90,91}。
         * 再通过键盘录入一个整数数字。要求：把数字放入数组序列中，
         * 生成一个新的数组，并且数组的元素依旧是从小到大排列的。执行效果如下：
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入要插入的元素内容");
        int insertElement = scanner.nextInt();
        // 1 定义出来一个旧数组
        int[] oldArr = {12,13,23,45,66,68,70,90,91};
        // 2 定义出来一个新数组
        int[] newArr = new int[oldArr.length + 1];
        // 3 定义出来要插入元素的索引位置
        int index = 0;
        // 4 遍历旧数组
        for (int i = 0; i < oldArr.length; i++) {
            //   4.1 拿数组当中元素和插入的元素进行比较操作
            int ele = oldArr[i];
            //   4.2 如果比插入元素小,  把旧数组元素放到新的数组中位置不变
            if(insertElement > ele){
                newArr[i] = ele;
                //   4.3 让插入索引+1
                index = index + 1;
            }else{
                //   4.4 如果比插入元素大  把旧数组元素放到新的数组中 但是位置要+1
                newArr[i+1] = ele;
            }
        }
        // index 要插入元素存储位置
        newArr[index] = insertElement;
        // 遍历新数组看 数组是否有顺序的
        for (int i = 0; i < newArr.length; i++) {
            // print不换行打印  println 换行打印
            System.out.print(newArr[i] +" ");
        }


    }
}
